Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023808
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-05-13 15:272013-07-23 18:02
ReportermigueldejuanaView Statuspublic 
Assigned Tomigueldejuana 
PrioritynormalResolutionfixedFixed in VersionRMP24
StatusclosedFix in branchFixed in SCM revisionf4fb282bba64
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023808: Error when Return receipts with change

DescriptionNot correct saved in the backend when creating a receipt with change.
Steps To Reproduce- Create a Receipt to return
- Pay it with more money than the total of the order
- See the saved line in Returned from Customer in the ERP (Wrong Received field)
Proposed SolutionSee fix as a attachment
TagsNo tags attached.
Attached Filesdiff file icon returnWithChange.diff [^] (891 bytes) 2013-05-13 15:27 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0023511 closedmigueldejuana When a layaway order, is overpaid using card Payment method, then payment details are not getting reflected in the back end sys 

-  Notes
(0059421)
hgbot (developer)
2013-06-13 15:03

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: f4fb282bba64fe3020f6639664d5d9031bb7942b
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Thu Jun 13 15:02:59 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/f4fb282bba64fe3020f6639664d5d9031bb7942b [^]

Fixed issue 0023511 Fixed issue 23808: Problems with overpayment when returns layaways

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---
(0059749)
hgbot (developer)
2013-06-28 10:27

Repository: erp/pmods/org.openbravo.retail.posterminal.multiorder
Changeset: f4fb282bba64fe3020f6639664d5d9031bb7942b
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Thu Jun 13 15:02:59 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/f4fb282bba64fe3020f6639664d5d9031bb7942b [^]

Fixed issue 0023511 Fixed issue 23808: Problems with overpayment when returns layaways

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---
(0060194)
guilleaer (developer)
2013-07-23 18:02

reclosing

- Issue History
Date Modified Username Field Change
2013-05-13 15:27 migueldejuana New Issue
2013-05-13 15:27 migueldejuana Assigned To => marvintm
2013-05-13 15:27 migueldejuana File Added: returnWithChange.diff
2013-06-11 16:40 migueldejuana Relationship added related to 0023511
2013-06-11 16:44 migueldejuana Assigned To marvintm => migueldejuana
2013-06-13 15:03 hgbot Checkin
2013-06-13 15:03 hgbot Note Added: 0059421
2013-06-13 15:03 hgbot Status new => resolved
2013-06-13 15:03 hgbot Resolution open => fixed
2013-06-13 15:03 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/f4fb282bba64fe3020f6639664d5d9031bb7942b [^]
2013-06-18 18:03 guilleaer Review Assigned To => guilleaer
2013-06-18 18:03 guilleaer Status resolved => closed
2013-06-18 18:03 guilleaer Fixed in Version => RMP24
2013-06-28 10:27 hgbot Checkin
2013-06-28 10:27 hgbot Note Added: 0059749
2013-06-28 10:27 hgbot Status closed => resolved
2013-06-28 10:27 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/f4fb282bba64fe3020f6639664d5d9031bb7942b [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/f4fb282bba64fe3020f6639664d5d9031bb7942b [^]
2013-07-23 18:02 guilleaer Note Added: 0060194
2013-07-23 18:02 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker